# InFilter (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client.domain.query.filters

## Class InFilter<T>

- java.lang.Object
- - io.dapr.client.domain.query.filters.Filter<T>
  - - io.dapr.client.domain.query.filters.InFilter<T>

    public class InFilter<T>
    extends Filter<T>

### Constructor Summary

Constructors
`InFilter()`
`InFilter​(String key, List<T> value)`
`InFilter​(String key, T... values)` constructor for InFilter.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getKey()`
`String` `getRepresentation()`
`List<T>` `getValues()`
`Boolean` `isValid()`

### Methods inherited from class io.dapr.client.domain.query.filters.Filter

`getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InFilter

    public InFilter()

#### InFilter

    public InFilter​(String key,
                    List<T> value)

#### InFilter

    public InFilter​(String key,
                    T... values)

constructor for InFilter.

Parameters:
  `key` - value of the key in the state store.
  `values` - var args values list.

### Method Detail

#### getKey

    public String getKey()

#### getValues

    public List<T> getValues()

#### getRepresentation

    public String getRepresentation()

Specified by:
  `getRepresentation` in class `Filter<T>`

#### isValid

    public Boolean isValid()

Specified by:
  `isValid` in class `Filter<T>`